#!/usr/bin/env python
import CORBA
import sys

CORBA.load_idl("msg.idl")
orb = CORBA.ORB_init((), CORBA.ORB_ID)
ior = open("./msg-server.ior").readline()
m = orb.string_to_object(ior)
print m.__repo_id

m.submit(MESSAGING.msg(fr="Mom", to="Dad", body=["Line1", "Line2", "Line3"]))
m.submit(MESSAGING.msg(fr="Betty", to="Anna", body=["Line4", "Line5", "Line6"]))
m.submit(MESSAGING.msg(fr="Michelle", to="Angela", body=["Line7", "Line8", "Line9"]))

